cURL
curl --request GET \ --url https://api.sol.com/v1/tools/{toolId}
{ "toolId": "tool-6789", "name": "Create Email Draft", "provider": "Gmail", "description": "Create a draft email with the given parameters.", "params": { "from_email": "noreply@sol.com", "to_email": "tara@sol.com" } }
Fetches a specific tool by its ID from Sol.
Documentation IndexFetch the complete documentation index at: https://docs.withsol.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.withsol.ai/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the tool to retrieve
Details of the tool
"tool-6789"
"Create Email Draft"
"Gmail"
"Create a draft email with the given parameters."
Show child attributes